:root {
    --slider-crumb-color: #fff;
    --slider-crumb-background: #000;
}

.Slider {
    --translateX: 0;
    --animation-speed: 0;
    --slider-height: 0;
    overflow: hidden;

    max-width: 100%;

    transition: height 300ms;
    touch-action: pan-y;

    &-Wrapper {
        display: flex;
        height: 100%;
        align-items: flex-start;
        transform: translate3d(var(--translateX), 0, 0);
        transition: transform var(--animation-speed);

        will-change: transform;

        > * {
            width: 100%;
            height: 100%;
            flex-grow: 1;
            flex-shrink: 0;
        }
    }

    &-Container {
        max-width: var(--wide-content-wrapper-width);
        margin: 0 auto;

        @include mobile {
            margin: initial;
        }
    }

    &Widget-Figure {
        text-align: center;

        &Image {
            width: 70%;
            margin: 0 auto;
            text-align: center;
        }
    }

    &-Crumbs {
        display: grid;

        width: 100%;
        margin: auto;
        position: absolute;
        bottom: 1rem;
        grid-template-columns: repeat(auto-fit, 7px);
        grid-gap: 10px;
        justify-content: center;
    }

    &-Crumb {
        width: 7px;
        height: 7px;
        opacity: 0.5;
        background-color: $white;
        transition: background-color 300ms;

        &_isActive {
            opacity: 1;
        }
    }

    &Widget {
        bottom: -60px;

        @include mobile {
            bottom: initial;
        }
    }

    &-Arrow {
        @include mobile {
            display: none;
        }

        &_type_left,
        &_type_right {
            width: 64px;
            height: 64px;
            position: absolute;
            top: calc(50% - 32px);
            opacity: 0.4;

            &::before {
                position: absolute;
                top: calc(50% - 9px);
                left: calc(50% - 5px);
                content: url('../../style/images/slider_arrow_grey.svg');
            }

            span {
                display: none;
            }

            &:hover {
                background: var(--secondary-dark-color);

                &::before {
                    content: url('../../style/images/slider_arrow_black.svg');
                }
            }
        }

        &_type_left {
            left: 10px;

            &:hover {
                &::before {
                    transform: rotate(180deg);
                }
            }
        }

        &_type_right {
            right: 20px;

            &::before {
                transform: rotate(180deg);
            }

            &:hover {
                &::before {
                    transform: none;
                }
            }
        }

        &_allowed {
            opacity: 1;
        }
    }
}
